Subject: bug#32136: 26.1; Provide a customize variable to turn off spell-checking literal strings in flyspell-prog-mode

From: "R. Diez" <[email-masked]>
Date: Thu, 12 Jul 2018 22:06:01 +0000 (UTC)

I wish I could easily turn off spell-checking of literal strings in flyspell-prog-mode . Some customize variable would probably be the best way.

I mentioned it on the help-gnu-emacs mailing list here:

https://lists.gnu.org/archive/html/help-gnu-emacs/2018-07/msg00100.html

This is an excerpt from that discussion:

> it checks 
> literal strings too, even the filenames inside C's #include <blah/blah-h> 
> preprocessor directives, littering too much source code with error marks.

They are strings, aren't they?  How should Flyspell know that some
string is a file name?

> Trying to limit spell checking to just source-code comments is hard. I found 
> this page that explains how to do it:
> 
> http://blog.binchen.org/posts/effective-spell-check-in-emacs.html
> 
> But I haven't quite understood it yet (I am no Lisp expert). How about adding 
> a simple customizable variable to turn literal string checking on and off?